Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 745399 - gui-wm/hikari-2.1.2 does not respect CFLAGS/LDFLAGS
Summary: gui-wm/hikari-2.1.2 does not respect CFLAGS/LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Aisha Tammy
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: qa-cflags ldflags
  Show dependency tree
 
Reported: 2020-09-29 12:12 UTC by Agostino Sarubbo
Modified: 2020-10-31 15:58 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,52.94 KB, text/plain)
2020-09-29 12:12 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-09-29 12:12:32 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: gui-wm/hikari-2.1.2 does not respect CFLAGS/LDFLAGS.
Discovered on: amd64 (internal ref: ci)

NOTE:
To reproduce this issue you may want to add "-frecord-gcc-switches" to CFLAGS/CXXFLAGS/FFLAGS/FCFLAGS and LDFLAGS="${LDFLAGS} -Wl,--defsym=__gentoo_check_ldflags__=0". If this is not something about c/c++ see this bug as an hint to hide the QA warning (with QA_FLAGS_IGNORED) where is not possible to respect CFLAGS/LDFLAGS.
Comment 1 Agostino Sarubbo gentoo-dev 2020-09-29 12:12:35 UTC
Created attachment 663112 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2020-10-31 15:58:54 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8d4c4096f265600feda2364a311cb015d06a9f29

commit 8d4c4096f265600feda2364a311cb015d06a9f29
Author:     Aisha Tammy <gentoo@aisha.cc>
AuthorDate: 2020-10-28 13:53:10 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2020-10-31 15:58:43 +0000

    gui-wm/hikari: version bump to 2.2.2
    
    should really fix the direct CC calls
    
    Closes: https://bugs.gentoo.org/745375
    Closes: https://bugs.gentoo.org/745399
    
    Package-Manager: Portage-3.0.8, Repoman-3.0.1
    Signed-off-by: Aisha Tammy <gentoo@aisha.cc>
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 gui-wm/hikari/Manifest            |  1 +
 gui-wm/hikari/hikari-2.2.2.ebuild | 66 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)